@if (loading) {
  <app-loading-spinner [color]="'primary'"></app-loading-spinner>
}

<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #sidenav [(opened)]="sideNavOpened" mode="side">
    <mat-toolbar>
      <app-simpl-labs-logo class="simpl-labs-logo mr-1"></app-simpl-labs-logo>
      <span class="fs-26 fw-700">{{ title }}</span>
      <span class="spacer"></span>
      <mat-icon
        class="cursor-pointer material-icons-outlined"
        (click)="sidenav.close()"
        (keydown)="sidenav.close()"
        [ngClass]="{ 'rotated-arrows': sidenav.opened }"
      >
        keyboard_double_arrow_right
      </mat-icon>
    </mat-toolbar>

    <mat-toolbar class="notification-bar p-0 mb-1">
      <mat-icon
        class="notifications-icon material-icons-outlined cursor-pointer"
      >
        notifications
      </mat-icon>
      <span class="fs-16">Notification</span>
    </mat-toolbar>

    <app-navigation-list class="mt-1"></app-navigation-list>

    <mat-toolbar class="user-toolbar">
      <mat-icon
        class="person-icon material-icons-outlined"
        aria-hidden="false"
        aria-label="Person icon"
      >
        person
      </mat-icon>
      <span class="user-email">{{ user.email }}</span>

      <button
        class="text-warning"
        mat-icon-button
        (click)="logout()"
        aria-label="Logout icon"
      >
        <mat-icon>logout</mat-icon>
      </button>
    </mat-toolbar>
  </mat-sidenav>

  <mat-sidenav-content>
    <app-header
      [sideNavOpened]="sidenav.opened"
      (sideNavToggleEvent)="sidenav.opened = $event"
    ></app-header>

    <div class="outlet-wrapper">
      <router-outlet />
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>

<div class="poc-image">
  <h2 class="mat-elevation-z9">PoC</h2>
  <h5 class="mat-elevation-z9">Proof of Concept</h5>
</div>

<app-itb-tests-execution-snackbar></app-itb-tests-execution-snackbar>
